## org.eclipse.ocl.expressions.operations
Class CollectionRangeOperations

    java.lang.Object
      org.eclipse.ocl.expressions.operations.CollectionRangeOperations

    public class CollectionRangeOperations

extends Object

A static utility class that provides operations related to 'Collection Range' model objects.

The following operations are supported:

- `Check Range Type`

Constructor Summary
`protected` `CollectionRangeOperations()`

Method Summary

`static

`<C> boolean`

`

`checkRangeType(CollectionRange<C> collectionRange, DiagnosticChain diagnostics, Map<Object,Object> context)`
type = first.type.commonSuperType(last.type)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionRangeOperations

    protected CollectionRangeOperations()

Method Detail

### checkRangeType

    public static <C> boolean checkRangeType(CollectionRange<C> collectionRange,
                                             DiagnosticChain diagnostics,
                                             Map<Object,Object> context)

  type = first.type.commonSuperType(last.type)

  Parameters:
    `collectionRange` - The receiving 'Collection Range' model object.
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.